Method: projects.locations.privateOffers.publish

Publishes the target PrivateOffer.

HTTP request

POST https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/privateOffers/*}:publish

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the resource

Request body

The request body contains data with the following structure:

JSON representation
{
  "validateOnly": boolean
}
Fields
validateOnly

boolean

Optional. If set to true, validates the request but does not execute it.

Response body

If successful, the response body contains an instance of PrivateOffer.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • commerceproducer.privateOffers.publish

For more information, see the IAM documentation.